//+------------------------------------------------------------------+
//|                                                Kanal_Pod_Sop.mq4 |
//|                                         Copyright  2012, Angela |
//+------------------------------------------------------------------+
#property copyright "Copyright  2012, Angela"
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Blue
#property indicator_color2 Red
//---- buffers
double ExtUpFractalsBuffer[];
double ExtDownFractalsBuffer[];
//---- input parameters
extern int PERIOD =PERIOD_M1;
int i,j,mc=0,nc=0,ISK=10;
double BLF[],BUF[],PS,SP,max1,max2,min1,min2,Mx1,Mx2,Mn1,Mn2;

static datetime prevtime=0,Timemax1,Timemin1,Timemax2,Timemin2,TK1;
string NameGlobalVariablePS="PS";
string NameGlobalVariableSP="SP";
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
    SetIndexBuffer(0,ExtUpFractalsBuffer);
    SetIndexBuffer(1,ExtDownFractalsBuffer);
    
    GlobalVariableSet(NameGlobalVariablePS, 0);
    GlobalVariableSet(NameGlobalVariableSP, 0);
    
  max1=0; max2=0; i=3;
   
   while (max1==0)
    {       
   if ((MathAbs(iClose(NULL,"PERIOD", i+1)-iOpen(NULL,"PERIOD", i))<3*Point) && iClose(NULL,"PERIOD", i+1)>iOpen(NULL,"PERIOD", i+1)
       && iClose(NULL,"PERIOD", i)<iOpen(NULL,"PERIOD", i) && MathAbs(iOpen(NULL,"PERIOD", i)-Mx1)>15*Point )
    { 
     max1=iOpen(NULL,"PERIOD", i);Mx1=iOpen(NULL,"PERIOD", i); Timemax1= iTime(NULL,"PERIOD", i);
    } 
     i++;
    }  
     i=i+7;
   while (max2==0)
    {   
   if ((MathAbs(iClose(NULL,"PERIOD", i+1)-iOpen(NULL,"PERIOD", i))<3*Point) && iClose(NULL,"PERIOD", i+1)>iOpen(NULL,"PERIOD", i+1)
       && iClose(NULL,"PERIOD", i)<iOpen(NULL,"PERIOD", i) &&  MathAbs(iOpen(NULL,"PERIOD", i)-Mx2)>15*Point)
    {
     max2=iOpen(NULL,"PERIOD", i);Mx2=iOpen(NULL,"PERIOD", i); Timemax2= iTime(NULL,"PERIOD", i);
    } 
     i++;       
    } 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
    GlobalVariableDel(NameGlobalVariablePS); 
    GlobalVariableDel(NameGlobalVariableSP);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+

int start()
    {//0
//========================================================================================  
 if(prevtime != iTime(NULL,"PERIOD", 0))  
  {    
     prevtime = iTime(NULL,"PERIOD", 0);
     mc++;
     
     max1=0; max2=0; i=3;
   
   while (max1==0)
    {       
   if ((MathAbs(iClose(NULL,"PERIOD", i+1)-iOpen(NULL,"PERIOD", i))<3*Point) && iClose(NULL,"PERIOD", i+1)>iOpen(NULL,"PERIOD", i+1)
    && iClose(NULL,"PERIOD", i)<iOpen(NULL,"PERIOD", i) && MathAbs(iOpen(NULL,"PERIOD", i)-Mx1)>15*Point)
    { 
     max1=iOpen(NULL,"PERIOD", i);Mx1=iHigh(NULL,"PERIOD", i); Timemax1= iTime(NULL,"PERIOD", i); 
    } 
     i++;
    }  
     i=i+7;
   while (max2==0)
    {   
   if ((MathAbs(iClose(NULL,"PERIOD", i+1)-iOpen(NULL,"PERIOD", i))<3*Point) && iClose(NULL,"PERIOD", i+1)>iOpen(NULL,"PERIOD", i+1)
       && iClose(NULL,"PERIOD", i)<iOpen(NULL,"PERIOD", i) &&  MathAbs(iOpen(NULL,"PERIOD", i)-Mx2)>15*Point)
    {
     max2=iOpen(NULL,"PERIOD", i);Mx2=iHigh(NULL,"PERIOD", i); Timemax2= iTime(NULL,"PERIOD", i);
    } 
     i++;       
    } 
       ObjectDelete("SmartArrows");
       ObjectCreate("SmartArrows",OBJ_TREND,0,Timemax2,Mx2,Timemax1,Mx1);   
       ObjectSet("SmartArrows",OBJPROP_COLOR,DarkViolet);
       ObjectSet("SmartArrows",OBJPROP_RAY,1);
             
   }   
//Comment("          ",mc,"  ", " Sop = "," ", DoubleToStr(max1,5),"    "," Pod = "," ", DoubleToStr(max2,5));
             
//===========================================================================================        
   return(0);
     }//0           